package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TGasData;
import com.chinaitop.depot.intelligent.grainsituation.model.TGasDataExample;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface TGasDataMapper {
    int countByExample(TGasDataExample example);

    int deleteByExample(TGasDataExample example);

    int deleteByPrimaryKey(String id);

    int insert(TGasData record);

    int insertSelective(TGasData record);

    List<TGasData> selectByExample(TGasDataExample example);

    TGasData selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TGasData record, @Param("example") TGasDataExample example);

    int updateByExample(@Param("record") TGasData record, @Param("example") TGasDataExample example);

    int updateByPrimaryKeySelective(TGasData record);

    int updateByPrimaryKey(TGasData record);

    List<TGasData> getGasCheckGroupList(@Param("storeCode") String storeCode);
}